package com.corejdo.casestudy.model;

/**
 * This class contains data about books, like author, International Book
 * Number (ISBN).
 *
 * <BR><FONT Color="red"><B>Persistent</B></FONT>
 * @author Heiko Bobzin, Keiron McCammon, Sameer Tyagi, Michael Vorburger
 * @version 1.0
 */

public class Book
    extends Publication
{
    /**
     * International book number.
     */
    public String ISBN;
    /**
     * Author of the book.
     */
    public String author;

    public Book() {

    }

    public String toString()
    {
        return super.toString()+
        "\n ISBN: "+ISBN+
        "\n Author: "+author;
    }
    public String toHTML(String linkPrefix)
    {
        return "<TR CLASS=Book>"+toHTMLTitle(linkPrefix)+
        "<TD CLASS=BookAuthor>"+author+"</TD>"+
        "<TD CLASS=BookISBN>"+ISBN+"</TD>"+
        toHTMLRest(linkPrefix)+"</TR>";
    }
}