package com.corejdo.casestudy.usecase;

/**
 * A use case exception is an application error, which is caused
 * by a misuse. For instance, if the user did not sign on before
 * attempting to delete something or if the user entered invalid
 * data.
 *
 * @author Heiko Bobzin, Keiron McCammon, Sameer Tyagi, Michael Vorburger
 * @version 1.0
 */

public class UseCaseException extends RuntimeException
{

    public UseCaseException(String msg)
    {
        super(msg);
    }
}