package com.corejdo.casestudy.model;


/**
 * A song is part of a CD.
 * <BR><FONT Color="red"><B>Persistent</B></FONT>
 * @author Heiko Bobzin, Keiron McCammon, Sameer Tyagi, Michael Vorburger
 * @version 1.0
 */

public class Song
{
    final String composer;
    final String title;
    final int seconds;

    public Song(String composer, String title, int seconds)
    {
        this.composer = composer;
        this.title = title;
        this.seconds = seconds;
    }

    private Song()
    {
        this.composer = null;
        this.title = null;
        this.seconds = 0;
    }

    public String length()
    {
        int min = seconds/60;
        int sec = seconds % 60;
        return ""+min+":"+sec;
    }
}